# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc销售任务删除功能验证,2295,2295-71,sit,bs
主数据平台:后台运营系统销售任务删除接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
from common.db.db import mySql
import requests
import json

module = "cmdc_order_list"

# 第一步登录后台运营系统获取token
username = commonFuc().get_business_data(module, "username2")
password = commonFuc().get_business_data(module, "password2")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步获取销售任务下发列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url68_1")
request_body = commonFuc().get_business_data(module, "payload68_1")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 获取销售任务信息
supplierSaleTaskId = result["data"]["list"][0]["supplierSaleTaskId"]

# 第三步进行销售任务删除操作
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url71")
request_body = commonFuc().get_business_data(module, "payload71", supplierSaleTaskId)

"""
 场景: 销售任务删除功能验证
 用例名称：销售任务删除功能验证
 输出：{"deleteSign":1}
"""

# 发送请求
result = requests.get(url, params=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())

# 数据库操作
mysql_handle = mySql()
# 获取conf.ini文件中配置的数据库信息
host, port, user, pwd = mysql_handle.getConf(db="cmdc_db")

# 查询数据库中对应任务删除标识
sql = "SELECT t.deleteSign FROM `cmdc-order`.tc_suppliersale_task t WHERE supplierSaleTaskId = {}".format(supplierSaleTaskId)
result = {"deleteSign": mysql_handle.selectSql(host, port, user, pwd, "cmdc-order", sql)[0][0]}
# 将接口响应时间添加至结果中
result["api_time"] = api_time
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict71")
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
